#!/bin/sh

DIRECTORIO="/usr/local/RealPlayer10"
RUTAMOZILLA="/usr/lib/mozilla/plugins"
RUTAFIREFOX="/usr/lib/mozilla-firefox/plugins"
ICONO="usr/share/pixmaps/instalador_rm.png"
URL="http://www.juntadeandalucia.es/averroes/guadalinex/plugins/"
ARCHIVO="RealPlayer10GOLD.bin"

TITULO="Instalador de Real Media Player"
PRESENTACION="Este script se encarga de descargar e instalar Real Media Player en Guadalinex V3. Este instalador requiere descargar un archivo desde internet de 7MB aproximadamente, es posible que dicha descarga tarde algun tiempo. Si no dispone de conexion a internet no va poder completar la instalacion. Deje todas las opciones que se preguntan por defecto pulsando la tecla enter para que la instalacion se realice correctamente. Si tiene problema con el instalador pongase en contacto con el Centro de Gestion Avanzado de Centros TIC (www.juntadeandalucia.es/averroes/guadalinex/). Pulse Aceptar para continuar con la instalacion."
ERROR1="Se ha detectado que en estos momentos se encuentra ejecutando otra aplicacion que esta usando zenity, por favor cierre todas las aplicaciones que usen zenity y vuelva a intentar la instalacion. Pulse OK para salir del instalador."
ERROR2="Se ha producido un error mientras se intentaba instalar Real Media Player. Pulse OK para salir de la instalacion."
ERROR3="En estos momentos no se puede descargar Real Media Player. Compruebe que su conexion de internet esta funcionando correctamente. Intentelo de nuevo cuando se hayan solucionado los problemas."
EXITO="La instalacion de Real Media Player se ha realizado correctamente. En el menu aplicaciones de gnome, en la entrada de Sonido y Video tenemos un enlace directo a la aplicacion Real Media Player, ejecutelo para comprobar que todo funciona correctamente."

zenity --title="$TITULO" --window-icon="$ICONO" --info --text="$PRESENTACION"
pidof zenity>/dev/null
if [ "$?" -eq 0 ]
then
	Xdialog --title "$TITULO" --msgbox "$ERROR1" 14 50
	zenity --title="$TITULO" --window-icon="$ICONO" --error --text="$ERROR1"
	exit 1
fi

mkdir -p $DIRECTORIO
rm -rf $DIRECTORIO/*
cd $DIRECTORIO

wget --connect-timeout=300 $URL$ARCHIVO &
(
tamtot=7150309
tamact=`echo -e "\`ls -l $ARCHIVO\`" | cut -d " " -f 6`
if [ "$tamact" == "" ]
then
tamact=0
fi
echo "# Descargando plugin"
while [ "$tamtot" != "$tamact" ];
do
	(( por = $tamact * 100 ))
	(( por = $por / tamtot ))
	echo $por
        echo "# Descargando plugin                                                    "$por" %"
        tamact=`echo -e "\`ls -l $ARCHIVO\`" | cut -d " " -f 6`
        if [ "$tamact" == "" ]
        then
        	tamact=0
        fi
done
echo "# Descarga concluida                                                    100 %"
) | zenity --title="$TITULO" --width=400 --height=140 --window-icon="$ICONO" --progress --percentage=0

chmod u+x $DIRECTORIO/$ARCHIVO
xterm $DIRECTORIO/$ARCHIVO
if [ -f "$DIRECTORIO/RealPlayer/realplay" ]
then
	if [ -f /usr/bin/realplay ]
	then
		rm -rf /usr/bin/realplay
	fi
	ln -s $DIRECTORIO/RealPlayer/realplay /usr/bin/realplay
	rm -rf $DIRECTORIO/$ARCHIVO
	cp -rf /usr/share/RealPlayer10/realplay.desktop /usr/share/applications/
	sed -i 's/InstNuevos/InstAntiguos/g' /usr/share/applications/instalador-rm.desktop
	zenity --title="$TITULO" --window-icon="$ICONO" --info --text="$EXITO"
	exit 0
else
	zenity --title="$TITULO" --window-icon="$ICONO" --error --text="$ERROR2"
	rm -rf $DIRECTORIO/*
fi
